﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;


<table border=0>
    <tr>
        <td>
            <table border="0" cellpadding="2" cellspacing="2">
                <tr>
                    <td style="width: 80px">
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.ControlStyle.CssClass = "Label";
                                label.Text = "Route Code";
                                label.Width = 80;
                            }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "txtRouteCodeSearch";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 133;
                                settings.Properties.MaxLength = 4;
                            }
                ).GetHtml()
                    </td>
                    <td style="width: 150">
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.ControlStyle.CssClass = "Label";
                                label.Text = "Trucking";
                            }).GetHtml()
                    </td>
                    <td>
                        @Html.Common().DevExpress().GridLookup(
                            s =>
                            {
                                s.Name = "grlLPHeaderSearch";
                                s.GridProperties.Name = "grlLPHeaderSearchGrid";
                                s.GridProperties.KeyFieldName = "LPCode";
                                s.Width = 150;
                                s.GridProperties.Width = 150;
                                s.GridProperties.CallbackRouteValues = new { Controller = "RoutePriceMaster", Action = "LPPartialAdditionalSearch" };
                                s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(400);
                                s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(320);
                                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    
                                s.GridProperties.Columns.Add(c =>
                                {
                                    c.Name = "LPCode";
                                    c.FieldName = "LPCode";
                                    c.Caption = "LP Code";
                                    c.Width = Unit.Pixel(80);
                                    c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                });
                                s.GridProperties.Columns.Add(c =>
                                {
                                    c.Name = "LPName";
                                    c.FieldName = "LPName";
                                    c.Caption = "LP Name";
                                });
                            }
                                 ).Bind(ViewData["LogisticPartnerDataSearch"]).GetHtml()
                    </td>
            </tr>
        </table>
    </td>

        <td>
           <table cellpadding="0" cellspacing="0" width="165" border="0" >
                <tr>
                    <td align="left">
            
        </td>

                    <td align="right">

        @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnSearch";
                    button.Text = "Search";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "btnSearch_click";
                }
            ).GetHtml()

             @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnClear";
                    button.Text = "Clear";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "btnClear_click";
                }
            ).GetHtml()

 </td>
                </tr>
            </table>
    </td>

        <td>
       <table cellpadding="0" cellspacing="0" width="575" border="0"  >
            <tr>
                <td align=right>

                     @Html.DevExpress().Button(
                        button =>
                        {
                            button.Name = "btnNew";
                            button.Text = "New";
                            button.Width = Unit.Pixel(80);
                            button.Style.Add("display", "inline-table");
                            //button.ClientSideEvents.Click = "ClearGrid";
                            button.ClientSideEvents.Click = "AddRoutePrice";
                        }
                    ).GetHtml()


                        @Html.DevExpress().Button(
                            button =>
                            {
                                button.Name = "btnDownload";
                                button.Text = "Download";
                                button.Width = Unit.Pixel(80);
                                button.Style.Add("display", "inline-table");
                                //button.ClientSideEvents.Click = "ClearGrid";
                            }
                        ).GetHtml()

           
</td>
            </tr>
        </table>
    </td>

    </tr>
</table>
